Bug 100267 - Ghost eDP-1 monitor on skylake with kernel >= 4.8
Summary: Ghost eDP-1 monitor on skylake with kernel >= 4.8
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-18 06:56 UTC by Alkis Georgopoulos
Modified: 2017-03-21 13:48 UTC (History)
1 user (show)

See Also:
i915 platform: SKL
i915 features: display/DP


Attachments
Xorg.0.log and output of xrandr, cpuinfo and dmesg for all those kernels (71.36 KB, application/zip)
2017-03-18 06:56 UTC, Alkis Georgopoulos
no flags Details
dmesg with drm-tip and drm.debug=14 (126.24 KB, text/plain)
2017-03-20 14:56 UTC, Alkis Georgopoulos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alkis Georgopoulos 2017-03-18 06:56:18 UTC
Created attachment 130300 [details]
Xorg.0.log and output of xrandr, cpuinfo and dmesg for all those kernels

After upgrading my Ubuntu 16.04.1 (kernel 4.4) to 16.04.2 (kernel 4.8), I got a "fake" monitor called eDP-1, which now "extends" my real VGA monitor called DP-1.
So when I boot into the desktop I only see a wallpaper, as the menus are shown in the "primary" ghost monitor. Running `xrandr --output eDP-1 --off` works around the problem.

I also tried with kernel 4.11, and I have a fake monitor there too, but now it's called DP-1 instead of eDP-1, and my real VGA is now called DP-2.

This is on a i3-6100 CPU.

To sum up:
Kernel 4.4: HDMI-1, HDMI-2, DP-1 (real)
Kernel 4.8: eDP-1 (fake), HDMI-1, HDMI-2, DP-1 (real)
Kernel 4.11: DP-1 (fake), HDMI-1, HDMI-2, DP-2 (real)

I'm attaching a .zip file that contains subdirectories with Xorg.0.log and the output of xrandr, cpuinfo and dmesg for all those kernels.
Comment 1 Alkis Georgopoulos 2017-03-18 20:46:02 UTC
This also happens on another skylake machine, with Intel(R) Pentium(R) CPU G4400 @ 3.30GHz.

Also I noted that if I connect an HDMI monitor instead of a VGA one, then I don't see the ghost e-DP1 monitor anymore.
Comment 2 Imre Deak 2017-03-20 14:26:23 UTC
Could you try the drm-tip branch from
git://anongit.freedesktop.org/drm-tip ?

The following from that branch could've fixed the problem:

commit bb1d132935c2f87cd261eb559759fe49d5e5dc43
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Fri Mar 10 15:27:58 2017 +0200

    drm/i915/vbt: split out defaults that are set when there is no VBT
Comment 3 Imre Deak 2017-03-20 14:27:26 UTC
(In reply to Imre Deak from comment #2)
> Could you try the drm-tip branch from
> git://anongit.freedesktop.org/drm-tip ?
> 
> The following from that branch could've fixed the problem:
> 
> commit bb1d132935c2f87cd261eb559759fe49d5e5dc43
> Author: Jani Nikula <jani.nikula@intel.com>
> Date:   Fri Mar 10 15:27:58 2017 +0200
> 
>     drm/i915/vbt: split out defaults that are set when there is no VBT

Also please provide a dmesg log with the above kernel booting with drm.debug=14.
Comment 4 Alkis Georgopoulos 2017-03-20 14:56:34 UTC
Created attachment 130324 [details]
dmesg with drm-tip and drm.debug=14

I tried with the following kernel, which I believe includes the fix:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-tip/current/linux-image-4.11.0-994-generic_4.11.0-994.201703172243_amd64.deb

Indeed, I no longer had a ghost eDP-1 monitor; problem solved!
I'm attaching the requested dmesg with drm.debug=14 just in case.

Thank you very much! :)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.